package com.samelement.iot_notification.util;

import android.content.Context;
import android.os.Environment;

import androidx.annotation.Nullable;

import java.io.File;

public final class StorageUtil {

    public static final String DIR_ANDROID = "Android";
    private static final String DIR_DATA = "data";
    private static final String DIR_FILES = "files";
    private static final String DIR_CACHE = "cache";

    @Nullable
    public static synchronized File getExternalStorageAppFilesFile(Context context) {
        if (context == null) return null;
        if (Environment.getExternalStorageState().equals(Environment.MEDIA_MOUNTED)) {
            File dirs = buildExternalStorageAppFilesDirs(Environment.getExternalStorageDirectory().getAbsolutePath(), context.getPackageName());
            return dirs;
        }
        return null;
    }


    public synchronized static File buildExternalStorageAppFilesDirs(String externalStoragePath, String packageName) {
        return buildPath(externalStoragePath, DIR_ANDROID, DIR_DATA, packageName, DIR_FILES);
    }


    public synchronized static File buildPath(String base, String... segments) {
        File cur = new File(base);
        for (String segment : segments) {
            cur = new File(cur, segment);
        }
        return cur;
    }
}
